com.io7m.smfj.format.binary.v1

## Interface SMFBv1_0HeaderReadableType

- All Superinterfaces:
    com.io7m.jpra.runtime.java.JPRAValueType
  All Known Subinterfaces:
    SMFBv1_0HeaderType
  All Known Implementing Classes:
    SMFBv1_0HeaderByteBuffered

      public interface SMFBv1_0HeaderReadableType
      extends com.io7m.jpra.runtime.java.JPRAValueType

  The readable interface to values of the `SMFBv1_0Header` record type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAttributeCount()`
    `int` | `getAttributeOffset()`
    `SMFBv1CoordinateSystemsReadableType` | `getCoordinateSystemReadable()`
    `SMFBv1SchemaIDReadableType` | `getSchemaReadable()`
    `long` | `getTriangleCount()`
    `int` | `getTriangleIndexSizeBits()`
    `long` | `getVertexCount()`
    `int` | `metaAttributeCountOffsetFromCursor()`
    `int` | `metaAttributeCountOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaAttributeCountType()`
    `int` | `metaAttributeOffsetOffsetFromCursor()`
    `int` | `metaAttributeOffsetOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaAttributeOffsetType()`
    `int` | `metaCoordinateSystemOffsetFromCursor()`
    `int` | `metaCoordinateSystemOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAUserDefined` | `metaCoordinateSystemType()`
    `int` | `metaSchemaOffsetFromCursor()`
    `int` | `metaSchemaOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAUserDefined` | `metaSchemaType()`
    `int` | `metaTriangleCountOffsetFromCursor()`
    `int` | `metaTriangleCountOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaTriangleCountType()`
    `int` | `metaTriangleIndexSizeBitsOffsetFromCursor()`
    `int` | `metaTriangleIndexSizeBitsOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaTriangleIndexSizeBitsType()`
    `int` | `metaVertexCountOffsetFromCursor()`
    `int` | `metaVertexCountOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaVertexCountType()`

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRAValueType

      `sizeOctets`

- - ### Method Detail

    - #### metaSchemaOffsetFromType

          int metaSchemaOffsetFromType()

      Returns:
        The offset in octets of the `schema` field, from the start of the type

    - #### metaSchemaOffsetFromCursor

          int metaSchemaOffsetFromCursor()

      Returns:
        The offset in octets of the `schema` field, from the cursor

    - #### metaSchemaType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAUserDefined metaSchemaType()

      Returns:
        The type of the `schema` field

    - #### getSchemaReadable

          SMFBv1SchemaIDReadableType getSchemaReadable()

      Returns:
        Read-only access to the `schema` field

    - #### metaVertexCountOffsetFromType

          int metaVertexCountOffsetFromType()

      Returns:
        The offset in octets of the `vertex_count` field, from the start of the type

    - #### metaVertexCountOffsetFromCursor

          int metaVertexCountOffsetFromCursor()

      Returns:
        The offset in octets of the `vertex_count` field, from the cursor

    - #### metaVertexCountType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaVertexCountType()

      Returns:
        The type of the `vertex_count` field

    - #### getVertexCount

          long getVertexCount()

      Returns:
        The value of the `vertex_count` field

    - #### metaTriangleCountOffsetFromType

          int metaTriangleCountOffsetFromType()

      Returns:
        The offset in octets of the `triangle_count` field, from the start of the type

    - #### metaTriangleCountOffsetFromCursor

          int metaTriangleCountOffsetFromCursor()

      Returns:
        The offset in octets of the `triangle_count` field, from the cursor

    - #### metaTriangleCountType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaTriangleCountType()

      Returns:
        The type of the `triangle_count` field

    - #### getTriangleCount

          long getTriangleCount()

      Returns:
        The value of the `triangle_count` field

    - #### metaTriangleIndexSizeBitsOffsetFromType

          int metaTriangleIndexSizeBitsOffsetFromType()

      Returns:
        The offset in octets of the `triangle_index_size_bits` field, from the start of the type

    - #### metaTriangleIndexSizeBitsOffsetFromCursor

          int metaTriangleIndexSizeBitsOffsetFromCursor()

      Returns:
        The offset in octets of the `triangle_index_size_bits` field, from the cursor

    - #### metaTriangleIndexSizeBitsType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaTriangleIndexSizeBitsType()

      Returns:
        The type of the `triangle_index_size_bits` field

    - #### getTriangleIndexSizeBits

          int getTriangleIndexSizeBits()

      Returns:
        The value of the `triangle_index_size_bits` field

    - #### metaAttributeCountOffsetFromType

          int metaAttributeCountOffsetFromType()

      Returns:
        The offset in octets of the `attribute_count` field, from the start of the type

    - #### metaAttributeCountOffsetFromCursor

          int metaAttributeCountOffsetFromCursor()

      Returns:
        The offset in octets of the `attribute_count` field, from the cursor

    - #### metaAttributeCountType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaAttributeCountType()

      Returns:
        The type of the `attribute_count` field

    - #### getAttributeCount

          int getAttributeCount()

      Returns:
        The value of the `attribute_count` field

    - #### metaAttributeOffsetOffsetFromType

          int metaAttributeOffsetOffsetFromType()

      Returns:
        The offset in octets of the `attribute_offset` field, from the start of the type

    - #### metaAttributeOffsetOffsetFromCursor

          int metaAttributeOffsetOffsetFromCursor()

      Returns:
        The offset in octets of the `attribute_offset` field, from the cursor

    - #### metaAttributeOffsetType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaAttributeOffsetType()

      Returns:
        The type of the `attribute_offset` field

    - #### getAttributeOffset

          int getAttributeOffset()

      Returns:
        The value of the `attribute_offset` field

    - #### metaCoordinateSystemOffsetFromType

          int metaCoordinateSystemOffsetFromType()

      Returns:
        The offset in octets of the `coordinate_system` field, from the start of the type

    - #### metaCoordinateSystemOffsetFromCursor

          int metaCoordinateSystemOffsetFromCursor()

      Returns:
        The offset in octets of the `coordinate_system` field, from the cursor

    - #### metaCoordinateSystemType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAUserDefined metaCoordinateSystemType()

      Returns:
        The type of the `coordinate_system` field

    - #### getCoordinateSystemReadable

          SMFBv1CoordinateSystemsReadableType getCoordinateSystemReadable()

      Returns:
        Read-only access to the `coordinate_system` field

Copyright © 2017 <code@io7m.com> http://io7m.com